<?php

namespace Drupal\synhelper\Drush;

use Drush\Commands\DrushCommands;

/**
 * A Drush commandfile.
 */
class DrushTranslations extends DrushCommands {

  /**
   * Synhelper set Translations.
   *
   * @param string $directory
   *   Translations directory.
   * @command synhelper:translate
   * @usage synhelper:scont $directory
   * Full import from $directory.
   */
  public function translate($directory) {
    $source = scandir($directory);
    array_shift($source);
    array_shift($source);
    foreach ($source as $filename) {
      $langcode = strstr($filename, '.', TRUE);
      shell_exec('drush locale:import ' . $langcode . ' ' . $directory . '/' . $filename . ' --type=customized --override=all -y');
    }
  }

}
